//
//  Journey.h
//  DialogTests
//
//  Created by Christopher Alford on 15/06/2013.
//  Copyright (c) 2013 Doonamis. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>


@interface Journey : NSManagedObject

@property (nonatomic, retain) NSNumber * journeyID;
@property (nonatomic, retain) NSDate * pickupDateTime;
@property (nonatomic, retain) NSNumber * immediatePickup;
@property (nonatomic, retain) NSNumber * sameGenderOnly;
@property (nonatomic, retain) NSNumber * smallLuggage;
@property (nonatomic, retain) NSNumber * largeLuggage;
@property (nonatomic, retain) NSSet *toMember;
@end

@interface Journey (CoreDataGeneratedAccessors)

- (void)addToMemberObject:(NSManagedObject *)value;
- (void)removeToMemberObject:(NSManagedObject *)value;
- (void)addToMember:(NSSet *)values;
- (void)removeToMember:(NSSet *)values;

@end
