//
//  TATaxi.h
//  JoinUpTaxis
//
//  Created by Snow Leopard User on 17/05/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

@interface TATaxi : NSObject <MKAnnotation>

@property (nonatomic) int idTaxi;
@property (nonatomic, strong) NSString *name;
@property (nonatomic, strong) NSString *phone;
@property (nonatomic, strong) NSString *sentence;
@property (nonatomic) double score;
@property (nonatomic) int numVotes;
@property (nonatomic, strong) NSString *license;
@property (nonatomic, strong) UIImage *photo;

@property (nonatomic) CLLocationCoordinate2D coordinate;

+ (id)taxiWithID:(int)idTaxi
            name:(NSString *)name
           phone:(NSString *)phone
        sentence:(NSString *)sentence
           score:(double)score
        numVotes:(int)numVotes
         license:(NSString *)license
           photo:(UIImage *)photo;

-(NSString*)starredScore;
-(NSString*)starredScoreStars;
-(NSString*)starredScoreNumVotes;


@end
