//
//  TATaxi.m
//  JoinUpTaxis
//
//  Created by Snow Leopard User on 17/05/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "TATaxi.h"

@implementation TATaxi

@synthesize photo, score, phone, name, idTaxi, sentence, coordinate, numVotes, license;

- (id)init
{
    self = [super init];
    if(self) {
        return self;
    }
    return nil;
}

+ (id)taxiWithID:(int)idTaxi
                name:(NSString *)name
                phone:(NSString *)phone
                sentence:(NSString *)sentence
                score:(double)score
                numVotes:(int)numVotes
                license:(NSString *)license
                photo:(UIImage *)photo
{
    TATaxi *taxi = [[TATaxi alloc]init];
    if(taxi) {
        taxi.idTaxi = idTaxi;
        taxi.name = name;
        taxi.phone = phone;
        taxi.sentence = sentence;
        taxi.score = score;
        taxi.numVotes = numVotes;
        taxi.license = license;
        taxi.photo = photo;
        
        return taxi;
    }
    return nil;
}

-(NSString*)starredScore {
    return [NSString stringWithFormat:@"%@ %@", [self starredScoreStars], [self starredScoreNumVotes]];
}

-(NSString*)starredScoreStars {
    int numStarScore = ceil(score * 5);
    
    NSMutableString *strScore = [[NSMutableString alloc] init];
    for (int i = 0; i < 5; i++) {
        if (i < numStarScore) [strScore appendString:@"★"];
        else [strScore appendString:@"☆"];
    }   
    return strScore;
}

-(NSString*)starredScoreNumVotes {
    return [NSString stringWithFormat:NSLocalizedString(@"starredScore", nil), numVotes];
}


@end
