//
//  DOMemberViewController.h
//  DialogTests
//
//  Created by Christopher Alford on 27/06/2013.
//  Copyright (c) 2013 Doonamis. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Member.h"

@protocol MemberViewDelegate <NSObject>
@optional
- (void)memberHasLoggedIn;
- (void)memberHasLoggedOut;
@end

@interface DOMemberViewController : UIViewController

@property (strong, nonatomic) id delegate;
@property (weak, nonatomic) Member *member;

@end
