//
//  DateTimePickerViewController.h
//  JoinUpTaxiPassenger
//
//  Created by Christopher Alford on 30/05/2013.
//
//

#import <UIKit/UIKit.h>

@protocol DateTimePickerDelegate <NSObject>
@optional
- (void)dateTimeChangedTo:(NSDate *)newDateTime asString:(NSString *)selection;
@end

@interface DateTimePickerViewController : UIViewController

@property (strong, nonatomic) id delegate;

@property (strong, nonatomic) NSString *localizedDate;
@property (strong, nonatomic) NSDate *rawDate;

@property (strong, nonatomic) NSNumber *startHour;
@property (strong, nonatomic) NSNumber *endHour;
@property (strong, nonatomic) NSNumber *minuteIncrement;

@end
