//
//  Cities.h
//  DialogTests
//
//  Created by Christopher Alford on 15/06/2013.
//  Copyright (c) 2013 Doonamis. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class DefinedPlaces;

@interface Cities : NSManagedObject

@property (nonatomic, retain) NSString * country;
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * region;
@property (nonatomic, retain) NSSet *toDefinedPlaces;
@end

@interface Cities (CoreDataGeneratedAccessors)

- (void)addToDefinedPlacesObject:(DefinedPlaces *)value;
- (void)removeToDefinedPlacesObject:(DefinedPlaces *)value;
- (void)addToDefinedPlaces:(NSSet *)values;
- (void)removeToDefinedPlaces:(NSSet *)values;

@end
