//
//  Member.h
//  DialogTests
//
//  Created by Christopher Alford on 15/06/2013.
//  Copyright (c) 2013 Doonamis. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Journey;

@interface Member : NSManagedObject

@property (nonatomic, retain) NSNumber * memberID;
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * mobile;
@property (nonatomic, retain) NSNumber * preferCard;
@property (nonatomic, retain) NSNumber * preferFemaleOnly;
@property (nonatomic, retain) NSString * email;
@property (nonatomic, retain) NSNumber * score;
@property (nonatomic, retain) NSNumber * numberOfVotes;
@property (nonatomic, retain) NSNumber * isMale;
@property (nonatomic, retain) NSNumber * preferAdaptedVehicle;
@property (nonatomic, retain) NSNumber * hasAcceptedTerms;
@property (nonatomic, retain) NSNumber * cO2Savings;
@property (nonatomic, retain) NSNumber * moneySavings;
@property (nonatomic, retain) NSData * photo;
@property (nonatomic, retain) NSSet *toJourney;
@end

@interface Member (CoreDataGeneratedAccessors)

- (void)addToJourneyObject:(Journey *)value;
- (void)removeToJourneyObject:(Journey *)value;
- (void)addToJourney:(NSSet *)values;
- (void)removeToJourney:(NSSet *)values;

@end
