//
//  TAModel.h
//  JoinUpTaxiTaxi
//
//  Created by Ferran Falguera on 18/06/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

//#import "Login.h"
//#import "TAOpLoginPas.h"
//#import "TAOpGetDestinationsWithCity.h"
//#import "TAJourney.h"

@interface TAModel : NSObject {
    NSManagedObjectModel *__managedObjectModel;
    NSManagedObjectContext *__managedObjectContext;
    NSPersistentStoreCoordinator *__persistentStoreCoordinator;
    
    //Login *__login;
    
    //(TAOpLoginPas *_opLogin;
    //TAOpGetDestinationsWithCity *opGetDestinations;
    NSDate *_lastGetDestinations;
    
    bool didRegisterToken;
    NSString *_token;
}

@property (strong, nonatomic) NSManagedObjectContext *managedObjectContext;
@property (strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (strong, nonatomic) NSPersistentStoreCoordinator *storeCoordinator;

//@property (nonatomic, strong) Login *login;
@property (nonatomic, strong) NSArray *scheduledJourneys;
@property (nonatomic, strong) NSMutableArray *pendingVote;
//@property (nonatomic, strong) TAJourney *currentJourney;
@property (nonatomic, strong) NSString *sentenceCO2;

@property (nonatomic, strong) NSArray *cityDestinations;

@property (nonatomic, strong) NSString *token;

@property (nonatomic) int currentServiceETA;

+ (TAModel*)sharedModel;

- (void)loadContext;

- (void)saveContext;

-(void) removeLogin;

- (void)reLoginSilently:(bool)silent;

- (void)reLogDestinations;

- (NSArray *)cityDestinationsStr;

//-(NSArray*)destinationsStr;

-(NSString*) cityStr4Origin:(CLLocationCoordinate2D) coordinate;

- (NSArray *)destinationsInCity:(NSString *)city;
-(void) fetchLogin;

@end