//
//  DOStreetSearchCall.m
//  JoinUpTaxiPassenger
//
//  Created by Ferran Falguera on 25/07/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "DOStreetSearchCall.h"
#import "TAModel.h"

@implementation DOStreetSearchCall

- (id)init
{
    self = [super init];
    if(self)
        return self;
    return nil;
}

- (void)processJSONOnjects:(id)jsonObjects
{
    NSArray *results = [jsonObjects objectForKey:@"results"];
    if (!results || [results count] == 0) return;
    
    NSString *route;
    NSString *streetNumber;
    
    NSArray *addressComponents = [[results objectAtIndex:0] objectForKey:@"address_components"];
    for (NSDictionary *addrComp in addressComponents) {
        NSArray *types = [addrComp objectForKey:@"types"];
        
        if ([types containsObject:@"route"]) {
            route = [addrComp objectForKey:@"short_name"];
        } else if ([types containsObject:@"street_number"]) {
            streetNumber = [addrComp objectForKey:@"short_name"];
        }
        else if ([types containsObject:@"locality"]) {
            self.cityName = [addrComp objectForKey:@"short_name"];
        }
    }
    self.foundStreet = [NSString stringWithFormat:@"%@ %@", route, streetNumber?streetNumber:@""];
}



@end
