//
//  SockCtrl.h
//  JoinUpTaxis
//
//  Created by Ferran Falguera on 14/05/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@protocol SockCtrlDelegate <NSObject>

@optional
-(void)receivedData:(NSDictionary *)data;

@end

@interface SocketsController : NSObject

@property (strong, nonatomic) id delegate;

@property (strong, nonatomic) NSInputStream *inputStream;
@property (strong, nonatomic) NSOutputStream *outputStream;
@property (strong, nonatomic) NSData *positionToSendWhenConnected;

-(void)openSocket;
-(void)closeSocket;
-(void)manageEventHasSpaceAvailable;
-(NSData *)JSONDictionaryToNSData:(NSDictionary *)json;

@end
